Page MenuHomePhabricator

Orphan slayer reads from frack Redis rather than ActiveMQ
Closed, ResolvedPublic4 Story Points

Description

Prerequisites:

  • Store limbo message IDs into buckets so we can pull arbitrarily. Implement in php-queue. Don't hit the 1MB default size limit, store the bucket in chunks if necessary.
  • Deploy, so we're filling this bucket.
  • Set limbo message expiry to a lower value, like 1 hour.

This task:

  • Finish porting the orphan slayer.

Related Objects

StatusAssignedTask
DeclinedNone
ResolvedPcoombe
DeclinedNone
OpenNone
OpenNone
ResolvedNone
Declinedatgo
ResolvedNone
DeclinedNone
DeclinedNone
OpenNone
OpenNone
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Resolvedawight
Invalidawight
DeclinedNone
DeclinedNone
DeclinedNone
DeclinedNone

Event Timeline

awight created this task.May 13 2015, 9:35 PM
awight claimed this task.
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added subscribers: AndyRussG, atgo, gerritbot and 2 others.
atgo set Security to None.
awight edited a custom field.May 13 2015, 11:11 PM
awight updated the task description. (Show Details)May 14 2015, 9:34 PM
awight updated the task description. (Show Details)
awight updated the task description. (Show Details)May 14 2015, 10:52 PM
awight updated the task description. (Show Details)May 14 2015, 10:54 PM

Change 211062 had a related patch set uploaded (by Awight):
Orphan slayer reads from Memcache

https://gerrit.wikimedia.org/r/211062

Successful local tests, for status 25 and 600, and that time buffer works.

Change 211065 had a related patch set uploaded (by Awight):
WIP tests for the orphan rectifier

https://gerrit.wikimedia.org/r/211065

awight renamed this task from Orphan slayer reads from Memcache rather than ActiveMQ to Orphan slayer reads from frack Redis rather than ActiveMQ.Jun 5 2015, 8:17 PM

Change 211062 merged by jenkins-bot:
Orphan slayer reads from frack Redis

https://gerrit.wikimedia.org/r/211062

awight moved this task from Backlog to PCI on the Fundraising-Backlog-Old board.Jun 23 2015, 1:09 AM

Change 226947 had a related patch set uploaded (by Awight):
WIP Orphan slayer reads from frack Redis

https://gerrit.wikimedia.org/r/226947

awight edited a custom field.

Change 229027 had a related patch set uploaded (by Awight):
Message helpers can handle both transaction or message-keyed source data

https://gerrit.wikimedia.org/r/229027

This was deployed for a while today, but there was at least one blocker: it looks like we corrupt messages when we put them back on the queue. This happens when we pop a message that is too new (under 20 minutes), then push it back on.

Currently, this code is not deployed.

Change 229027 merged by jenkins-bot:
Message helpers can handle both transaction or message-keyed source data

https://gerrit.wikimedia.org/r/229027

awight closed this task as Resolved.Aug 4 2015, 12:12 AM
awight moved this task from Doing to Done on the Fundraising Sprint The Pogues board.

Deployed.

awight reopened this task as Open.Aug 4 2015, 6:12 AM

On second thought, let me keep this open until all the little fires burn out.

DStrine closed this task as Resolved.Aug 5 2015, 10:04 PM
awight added a parent task: Restricted Task.Aug 13 2015, 10:31 PM
DStrine edited a custom field.Aug 18 2015, 3:37 PM
DStrine edited a custom field.Aug 18 2015, 6:49 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM

Change 211065 abandoned by Eileen:
WIP tests for the orphan rectifier

Reason:
old, & unloved

https://gerrit.wikimedia.org/r/211065